Searched refs:ping (Results 1 - 25 of 221) sorted by relevance

123456789

/linux-master/tools/testing/selftests/ftrace/test.d/trigger/inter-event/
H A Dtrigger-onchange-action-hist.tc4 # requires: set_event "onchange(var)":README ping:program
13 echo 'hist:keys=comm:newprio=prio:onchange($newprio).save(comm,prio) if comm=="ping"' >> events/sched/sched_waking/trigger
15 ping $LOCALHOST -c 3
16 nice -n 1 ping $LOCALHOST -c 3
H A Dtrigger-snapshot-action-hist.tc4 # requires: set_event snapshot events/sched/sched_process_fork/hist "onchange(var)":README "snapshot()":README ping:program
15 echo 'hist:keys=comm:newprio=prio:onchange($newprio).save(comm,prio):onchange($newprio).snapshot() if comm=="ping"' >> events/sched/sched_waking/trigger
17 ping $LOCALHOST -c 3
18 nice -n 1 ping $LOCALHOST -c 3
26 if ! grep -q "comm=ping" snapshot; then
H A Dtrigger-onmax-action-hist.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
20 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' >> events/sched/sched_waking/trigger
21 echo 'hist:keys=next_pid:wakeup_lat=common_timestamp.usecs-$ts0:onmax($wakeup_lat).save(next_comm,prev_pid,prev_prio,prev_comm) if next_comm=="ping"' >> events/sched/sched_switch/trigger
23 ping $LOCALHOST -c 3
H A Dtrigger-onmatch-onmax-action-hist.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
21 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_wakeup/trigger
22 echo 'hist:keys=next_pid:wakeup_lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_wakeup).wakeup_latency($wakeup_lat,next_pid,next_comm):onmax($wakeup_lat).save(next_comm,prev_pid,prev_prio,prev_comm) if next_comm=="ping"' >> events/sched/sched_switch/trigger
25 ping $LOCALHOST -c 5
26 if [ ! grep -q "ping" events/synthetic/wakeup_latency/hist -o ! grep -q "max:" events/sched/sched_switch/hist]; then
H A Dtrigger-onmatch-action-hist.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
21 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_wakeup/trigger
22 echo 'hist:keys=next_pid:wakeup_lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_wakeup).wakeup_latency($wakeup_lat,next_pid,next_comm) if next_comm=="ping"' > events/sched/sched_switch/trigger
25 ping $LOCALHOST -c 5
26 if ! grep -q "ping" events/synthetic/wakeup_latency/hist; then
H A Dtrigger-trace-action-hist.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist "trace(<synthetic_event>":README ping:program
21 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_wakeup/trigger
22 echo 'hist:keys=next_pid:wakeup_lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_wakeup).trace(wakeup_latency,$wakeup_lat,next_pid,next_comm) if next_comm=="ping"' > events/sched/sched_switch/trigger
25 ping $LOCALHOST -c 5
27 if ! grep -q "ping" events/synthetic/wakeup_latency/hist; then
H A Dtrigger-synthetic-event-dynstring.tc4 # requires: set_event synthetic_events events/sched/sched_process_exec/hist "' >> synthetic_events":README ping:program
22 echo 'hist:key=pid:lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_process_exec).ping_test_latency($lat,$filenamevar) if comm == "ping"' > events/sched/sched_process_exit/trigger
25 ping $LOCALHOST -c 5
27 if ! grep -q "ping" events/synthetic/ping_test_latency/hist; then
H A Dtrigger-inter-event-combined-hist.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
20 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_waking/trigger
21 echo 'hist:keys=pid:waking_lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_waking).waking_latency($waking_lat,pid) if comm=="ping"' > events/sched/sched_wakeup/trigger
25 echo 'hist:keys=pid:ts1=common_timestamp.usecs if comm=="ping"' >> events/sched/sched_wakeup/trigger
26 echo 'hist:keys=next_pid:wakeup_lat=common_timestamp.usecs-$ts1:onmatch(sched.sched_wakeup).wakeup_latency($wakeup_lat,next_pid) if next_comm=="ping"' > events/sched/sched_switch/trigger
32 ping $LOCALHOST -c 3
H A Dtrigger-field-variable-support.tc4 # requires: set_event synthetic_events events/sched/sched_process_fork/hist ping:program
14 echo 'hist:keys=comm:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_waking/trigger
15 echo 'hist:keys=next_comm:wakeup_lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_waking).wakeup_latency($wakeup_lat,next_pid,sched.sched_waking.prio,next_comm) if next_comm=="ping"' > events/sched/sched_switch/trigger
18 ping $LOCALHOST -c 3
19 if ! grep -q "ping" events/synthetic/wakeup_latency/hist; then
27 echo '!hist:keys=next_comm:wakeup_lat=common_timestamp.usecs-$ts0:onmatch(sched.sched_waking).wakeup_latency($wakeup_lat,next_pid,sched.sched_waking.prio,next_comm) if next_comm=="ping"' >> events/sched/sched_switch/trigger
/linux-master/samples/bpf/
H A Dtest_lwt_bpf.sh146 ping -c 3 $IPVETH1 || {
162 ping -c 3 $IPVETH1 || {
178 ping -c 3 $IP_LOCAL || {
202 ping -c 3 $IPVETH1 || {
215 ping -c 3 $IP_LOCAL || {
233 ping -c 3 $IPVETH1 || {
249 ping -c 3 $IP_LOCAL || {
273 ping -c 3 $IPVETH1 && {
274 failure "test_drop_all ${1}: Unexpected success of ping"
286 ping
[all...]
H A Dtest_cgrp2_sock2.sh66 ping -c1 -w1 172.16.1.100
68 echo "ping failed when it should succeed"
84 # Test 2 - fail ping
94 ping -c1 -w1 172.16.1.100
96 echo "ping succeeded when it should not"
/linux-master/tools/testing/selftests/netfilter/
H A Dbridge_brouter.sh71 # ping netns1, expected to not work (ip forwarding is off)
72 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null 2>&1
74 echo "ERROR: ping works, should have failed" 1>&2
87 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null
89 echo "ERROR: ping did not work, but it should (broute+forward)" 1>&2
96 # ping netns1, expected to work (frames are bridged)
97 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null
99 echo "ERROR: ping did not work, but it should (bridged)" 1>&2
105 # ping netns1, expected to not work (DROP in bridge forward)
106 ip netns exec ns1 ping
[all...]
/linux-master/tools/testing/selftests/net/
H A Dunicast_extensions.sh9 # of address, we test for interface assignment, ping, TCP, and forwarding.
59 # ping and nettest.
72 ip netns exec $foo_ns timeout 2 ping -c 1 $2 || return 1
73 ip netns exec $bar_ns timeout 2 ping -c 1 $1 || return 1
108 ip netns exec $foo_ns timeout 2 ping -c 1 $2 || return 1
109 ip netns exec $foo_ns timeout 2 ping -c 1 $4 || return 1
110 ip netns exec $bar_ns timeout 2 ping -c 1 $3 || return 1
111 ip netns exec $bar_ns timeout 2 ping -c 1 $1 || return 1
171 segmenttest 240.1.2.1 240.1.2.4 24 "assign and ping within 240/4 (1 of 2) (is allowed)"
172 segmenttest 250.100.2.1 250.100.30.4 16 "assign and ping withi
[all...]
H A Dtest_vxlan_under_vrf.sh93 ip netns exec $hv_1 ping -c 1 -W 1 172.16.0.2 &> /dev/null || (echo "[FAIL]"; false)
120 ip netns exec $vm_1 ping -c 1 -W 1 10.0.0.2 &> /dev/null || (echo "[FAIL]"; false)
132 ip netns exec $vm_1 ping -c 1 -W 1 10.0.0.2 &> /dev/null || (echo "[FAIL]"; false)
H A Dpmtu.sh143 # created by exceeding link layer MTU with ping to other endpoint. Then
209 which ping6 > /dev/null 2>&1 && ping6=$(which ping6) || ping6=$(which ping)
1027 ping=ping
1031 ping=${ping6}
1048 run_cmd ${ns_a} ${ping} -q -M want -i 0.1 -w 1 -s 1800 ${dst1}
1049 run_cmd ${ns_a} ${ping} -q -M want -i 0.1 -w 1 -s 1800 ${dst2}
1081 run_cmd ${ns_a} ${ping} -q -M want -i 0.1 -w 1 -s 1400 ${dst2}
1098 run_cmd ${ns_a} ${ping} -q -M want -i 0.1 -w 1 -s 1400 ${dst2}
1138 run_cmd "${ns_a}" ping
[all...]
H A Droute_localnet.sh44 ping -c5 -I veth0 127.25.3.14
61 ping -c5 -I veth0 127.25.3.14
/linux-master/tools/testing/selftests/net/forwarding/
H A Dforwarding.config.sample25 # IPv4 ping utility name
26 PING=ping
27 # IPv6 ping utility name. Some distributions use 'ping' for IPv6.
43 # Timeout (in seconds) before ping exits regardless of how many packets have
/linux-master/tools/testing/selftests/bpf/
H A Dtest_tunnel.sh35 # End-to-end ping packet flow
38 # then ping the underlay and overlay network. When doing 'ping 10.1.1.100'
248 ping $PING_ARG 10.1.1.100
250 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
272 ping $PING_ARG 10.1.1.100
274 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
300 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
301 ping $PING_ARG 10.1.1.100
329 ip netns exec at_ns0 ping
[all...]
H A Dtest_xdp_redirect.sh62 if ip netns exec ${NS1} ping -c 1 10.1.1.22 &> /dev/null &&
63 ip netns exec ${NS2} ping -c 1 10.1.1.11 &> /dev/null; then
H A Dtest_xdp_meta.sh55 ip netns exec ${NS1} ping -c 1 10.1.1.22
56 ip netns exec ${NS2} ping -c 1 10.1.1.11
/linux-master/drivers/iio/proximity/
H A DMakefile13 obj-$(CONFIG_PING) += ping.o
/linux-master/tools/testing/selftests/drivers/net/bonding/
H A Dbond-arp-interval-causes-panic.sh36 ip netns exec client ping -c 5 $server_ip4 >/dev/null
44 ip netns exec client ping -c 5 $server_ip4 >/dev/null
/linux-master/tools/perf/tests/shell/
H A Drecord+probe_libc_inet_pton.sh2 # probe libc's inet_pton & backtrace it with ping
5 # then use 'perf trace' on a ping to localhost asking for just one packet
38 echo "ping[][0-9 \.:]+$event_name: \([[:xdigit:]]+\)" > $expected
44 echo "main\+0x[[:xdigit:]]+[[:space:]]\(.*/bin/ping.*\)$" >> $expected
53 echo ".*(\+0x[[:xdigit:]]+|\[unknown\])[[:space:]]\(.*/bin/ping.*\)$" >> $expected
57 echo ".*(\+0x[[:xdigit:]]+|\[unknown\])[[:space:]]\(.*/bin/ping.*\)$" >> $expected
68 perf record -e $event_name/$eventattr/ -o $perf_data ping -6 -c 1 ::1 > /dev/null 2>&1
74 perf script -i $perf_data | tac | grep -m1 ^ping -B9 | tac > $perf_script
/linux-master/tools/testing/selftests/wireguard/
H A Dnetns.sh120 n2 ping -c 10 -f -W 1 192.168.241.1
121 n1 ping -c 10 -f -W 1 192.168.241.2
166 n2 ping -c 10 -f -W 1 192.168.241.1
202 n2 ping -c 1 -W 1 -s 1269 192.168.241.1
221 n1 ping -W 1 -c 1 192.168.241.2
247 n1 ping -W 1 -c 1 192.168.241.2
250 n1 ping -W 1 -c 1 192.168.241.2
275 n0 ping -W 1 -c 1 192.168.241.2
280 ! n0 ping -W 1 -c 10 -f 192.168.241.2 || false
340 n1 ping
[all...]
/linux-master/drivers/watchdog/
H A Dmax63xx_wdt.c36 * to ping the watchdog.
54 void (*ping)(struct max63xx_wdt *wdt); member in struct:max63xx_wdt
122 wdt->ping(wdt);
134 wdt->ping(wdt);
150 .ping = max63xx_wdt_ping,
194 wdt->ping = max63xx_mmap_ping;

Completed in 199 milliseconds

123456789